[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# LeaveCriticalsection

Leave a critical section

## Declaration

Source position: threadh.inc line 152

`procedure LeaveCriticalsection(`
`var cs: TRTLCriticalSection`
`);`

## Description

LeaveCriticalSection signals that the current thread is exiting the critical section CS it has entered with EnterCriticalSection.

The critical section must have been initialized with InitCriticalSection prior to a call to EnterCriticalsection and LeaveCriticalSection.

## See also

InitCriticalsection |  | Initialize a critical section
DoneCriticalsection |  | Clean up a critical section.
EnterCriticalsection |  | Enter a critical section

Documentation generated on: Feb 26 2014